Bug 1162079 - Nova compute fails to launch an instance after upgrade
Summary: Nova compute fails to launch an instance after upgrade
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: openstack-nova
Version: 21
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Nikola Dipanov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-10 08:51 UTC by Anil Seth
Modified: 2016-04-22 05:03 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 04:52:41 UTC


Attachments (Terms of Use)
Extract from nova-compute.log (6.26 KB, text/plain)
2014-11-10 08:51 UTC, Anil Seth
no flags Details

Description Anil Seth 2014-11-10 08:51:21 UTC
Created attachment 955700 [details]
Extract from nova-compute.log

Description of problem:
After upgrading to Fedora 21, the openstack instances failed to spawn. The error message:
Error: operation failed: filter 'nova-no-nd-reflection' already exists with uuid 728f13cf-f1a9-4e0e-add7-357b93d052ee

The exception is raised by File "/usr/lib64/python2.7/site-packages/libvirt.py", line 4004, in nwfilterDefineXML
if ret is None:raise libvirtError('virNWFilterDefineXML() failed', conn=self)

The reason appears to be File "/usr/lib/python2.7/site-packages/nova/virt/libvirt/firewall.py", 
line 213, in _ensure_static_filters
self._define_filter(self.nova_no_nd_reflection_filter)

and line 233, in _define_filter
self._conn.nwfilterDefineXML(xml)




Version-Release number of selected component (if applicable):


How reproducible:
Every time. I uninstalled openstack packages, cleared the data and tried affresh. It still fails.

Steps to Reproduce:
1. nova start <instance name>
2. nova list
3.

Actual results:
Instance's status is 'SHUTOFF'

Expected results:
Instance's status should be 'ACTIVE'

Additional info:
Updating libvirt* packages from rawhide did not help.
Downgrading the libvirt* packages while ignoring dependency problems from fedora 20 repository (version 1.1.3.6-1.fc20.x86_64) seems to resolve the problem.

Comment 1 Fedora End Of Life 2015-11-04 14:55:01 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2015-12-02 04:52:48 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.